This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811920 - (CVE-2011-4953) CVE-2011-4953 cobbler: Privilege escalation by processing of crafted management parameters
CVE-2011-4953 cobbler: Privilege escalation by processing of crafted manageme...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20110928,repo...
: Security
Depends On: 811942 811943
Blocks: 811959
  Show dependency treegraph
 
Reported: 2012-04-12 06:31 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:49 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-12 06:31:25 EDT
A privilege escalation flaw was found in the way Cobbler, a network install server, processed certain YAML strings passed through the Puppet management parameters interface. A remote attacker could provide a specially-crafted management parameter YAML string, which once loaded by Cobbler could lead to arbitrary code execution with the privileges of the privileged system user (root).

References:
[1] https://bugs.launchpad.net/ubuntu/oneiric/+source/cobbler/+bug/858883

CVE Request:
[2] http://www.openwall.com/lists/oss-security/2012/04/12/6

Ubuntu patch from Robie Basak:
* Backport safe YAML load from upstream. (LP: #858883)
[3] http://bazaar.launchpad.net/~racb/ubuntu/oneiric/cobbler/858878_858883/revision/54
Comment 1 Jan Lieskovsky 2012-04-12 06:38:57 EDT
This issue affects the versions of the cobbler package, as shipped with Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.

As of right now, this issue did NOT affect the current versions of the cobbler package, as shipped with Fedora release of 15 and 16 (the cobbler-2.0.11-3.* versions). But since there are cobbler-2.2.2-1.fc* versions scheduled to get next stable versions and these are affected too, please schedule Fedora release 15 and 16 cobbler package versions updates too.
Comment 3 Jan Lieskovsky 2012-04-12 07:27:42 EDT
Created cobbler tracking bugs for this issue

Affects: fedora-all [bug 811942]
Affects: epel-all [bug 811943]
Comment 4 Kurt Seifried 2012-04-12 12:14:33 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/12/10
Comment 5 Jan Lieskovsky 2012-06-20 12:33:06 EDT
Statement:

This issue did not affect the version of cobbler as shipped with Red Hat Network Satellite Server 5.4 as it did not include the upstream commit d7b30b5fca5097c544ca37ade8c945a3106b1896 that introduced this flaw.

Note You need to log in before you can comment on or make changes to this bug.